class 'ExtraWallpapersBase' (ExtraCollectionPageBase)
-------------------------------------------------------------------------------

function ExtraWallpapersBase:__init(extraScreen, order)
	ExtraCollectionPageBase.__init(self, extraScreen, 'wallpapersPage', order)

	self.sourceFileFormat	= 'Data/ExtraContent/Textures/Screens/Extra/Wallpapers/walpaper_%s_%s.jpg'
	self.previewFileFormat	= 'Data/ExtraContent/Textures/Screens/Extra/Wallpapers/Previews/preview_%s.png'
	self.previewNameFormat	= 'wallpaper_%s'
end
-------------------------------------------------------------------------------

function ExtraWallpapersBase:getPreviewFilePath(index)
	return string.format(self.previewFileFormat, tostring(index))
end
-------------------------------------------------------------------------------

function ExtraWallpapersBase:getSourceFileName(resolution)
	return	string.format(self.sourceFileFormat, tostring(self.index), resolution)
end
-------------------------------------------------------------------------------

function ExtraWallpapersBase:set()
	createYesNoScreen('CE_SET_WALLPAPER_CONFIRMATION', bind(self.onSettingConfirmed, self), bind(self.onSettingCanceled,  self), false)
end
-------------------------------------------------------------------------------

function ExtraWallpapersBase:onSettingConfirmed()
	setSystemWallpaper( self:getSourceFileName('1280x960'), self:getSourceFileName('1280x800'))
end
-------------------------------------------------------------------------------

function ExtraWallpapersBase:onSettingCanceled()
end
-------------------------------------------------------------------------------